
html{
    box-sizing:border-box
}
html>body{
    font-size:.875rem
}
*,*:before,*:after{
    box-sizing:inherit
}
body{
    height:100%;
    width:100%;
    min-width:320px
}
body.s-page{
    background-color:#fff /* page background */
}


/* general */
body {

  font-family: Arial, Helvetica, sans-serif;
}

.topnav {
  overflow: hidden;
  background-color: #333;
}

.topnav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

.topnav a:hover {
  background-color: #ddd;
  color: black;
}

.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

.topnav a.account{
  background-color: #04AA6D;
  float: right;
  color: white;
}



/* for login */


/* Full-width input fields */
input[type=text], input[type=password] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

/* Set a style for all buttons */
button {
  background-color: #04AA6D;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}

button:hover {
  opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #f44336;
}

.sortbtn {
width: auto;
}

/* Center the image and position the close button */
.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
}

img.avatar{
  width: 40%;
}

.container{
  padding: 16px;
}

span.psw{
  float: right;
  padding-top: 16px;
}

span.s-item__price {
	font-weight:bold;
}

/* The Modal (background) */
.modal{
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

/* Modal Content/Box */
.modal-content{
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  max-width: 600px;
}

/* The Close Button (x) */
.close{
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

/* Add Zoom Animation */
.animate{
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom{
  from {-webkit-transform: scale(0)} 
  to {-webkit-transform: scale(1)}
}
  
@keyframes animatezoom{
  from {transform: scale(0)} 
  to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }
}

.appcontent_middle{
	top-margin-top= 10px;
}

.avatarLoader{
  width: 30%;
  max-height: 50%;
  display: block;
  position: absolute;
  left: 50%; 
  top: 50%; 
  margin: -15% 0 0 -15% 
}





.srp-main--isLarge{
	margin-top: 14px;
	max-width: 1280px;
    margin: 4px auto 10px;
    padding: 0 16px;
    position: relative;
	border: 1px solid #e5e5e5; 
}

@media only screen and (min-width:1350px){
    .srp--list-view .srp-main--isLarge{
        max-width:1490px
    }
}


body:after{
    content:'breakpoint-default';
    display:none
}
@media only screen and (min-width:480px){
    body:after{
        content:'breakpoint-smallest'
    }
}
@media only screen and (min-width:600px){
    body:after{
        content:'breakpoint-smaller'
    }
}
@media only screen and (min-width:768px){
    body:after{
        content:'breakpoint-small'
    }
}
@media only screen and (min-width:960px){
    body:after{
        content:'breakpoint-medium'
    }
}
@media only screen and (min-width:1024px){
    body:after{
        content:'breakpoint-large'
    }
}
@media only screen and (min-width:1280px){
    body:after{
        content:'breakpoint-larger'
    }
}
@media only screen and (min-width:1420px){
    body:after{
        content:'breakpoint-largest'
    }
}

.s-item .BOLD {
    font-weight: bold;
}

.strikethrough{
    text-decoration:line-through
}

.srp-river-main{
    border-top:1px solid #e5e5e5
}

.srp-layout-inner{
    width:100%;
    margin:0 auto;
    padding:0 8px
}
.srp-main-content{
	margin-top: 14px;
	max-width: 1280px;
	margin-bottom: 16px;
	margin-left: 16px;
}

.srp-river {
    border: 1px solid #e5e5e5;
    border-radius: 0 0 3px 3px;
    box-shadow: 0 1px 2px 0 rgb(221 221 221 / 50%);
    float: left;
    margin-bottom: 10px;
	margin-top: 20px;
	width: 100%;
    margin: 0 auto;
    padding: 0 8px;
	
}

.s-filters{
	float: left;
    width: 100%;
}


.srp-rail__left {
    float: left;
	width: 205px;
	margin-left: 0px;
	display: block;
	font-family:'Market Sans','Helvetica Neue',Helvetica,Arial,Roboto,sans-serif;
    font-size:.875rem
}


@media only screen and (min-width: 768px){ /* show rail on wider screens */
	.srp-rail__left {
		margin-left: 0;
	}
	.srp-main--isLarge .srp-main-content {
		width: calc(100% - 221px);
		padding: 0 8px;
		margin: 0;
		margin-left:16px;
        float:left;
	}
}

@media screen and (min-width: 1px) and (max-width: 767px){ /* hide rail on smaller screens */
	.srp-rail__left {
		margin-left: -221px;
	}
	.srp-main .srp-main-content {
		width: 100%;
	}

}

.srp-layout-inner{
    width:100%;
    margin:0 auto;
    padding:0 8px
}



ul {
	list-style-type: none; /* Remove bullets */
}


/* item ----------------------------------- */
.item{
display: list-item;
list-style-type: none; /* Remove bullets */
float: left;
padding: 10px 0;
border-bottom: 1px solid #e5e5e5;
	
}

.s-item__seller{
	cursor: pointer;
}

.item__wrapper{
background-color: red !important;
  margin-left:-5px;
  margin-right:-5px;
}

.item__wrapper::after {
  content: "";
  clear: both;
  display: table;
}

.s-item{
	height: 100%
	box-sizing: border-box;
	border-size: 2px;
	border-style: solid;
	padding: 5px;	
	display: table-cell;
	color: #111820;
}

.s-item__info{
float: right;
}


.s-item__detail{
	
}

.clearfix {
  overflow: auto;
}

  .item__info{
  float: left;
  width: calc(100%-152px);
  padding: 0 0 0 12px;
  color: #707070;
  font-size: .875rem;
  }
  
  .s-item__image-wrapper {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
}
  
  .s-item__image-img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    vertical-align: middle;
    display: inline-block;
  }

.s-item__image-section {
    width: 152px;
	max-height: 152px;
	float: left;
	position: relative;
	}
	
@media only screen and (min-width: 480px) {
	.s-item__image-section {
    width: 29%;	
    max-height: 152px;	
	}
	.s-item__info {
		width: 71%;
	}

}

@media only screen and (min-width: 600px) {
	.s-item__image-section {
    width: 178px;	
	max-height: 178px;
	}
.s-item__info {
    width: calc(100% - 178px);
	padding: 0 0 0 16px;
	}
}

@media only screen and (min-width: 960px) {
	.s-item__image-section {
		width: 225px;	
		max-height: 225px;
	}
	.s-item__info {
		width: calc(100% - 225px);
	}
}

/*

.s-item__title {}
.s-item__price {}
.s-item__title {}
.s-item__subtitle {}
.s-item__shipping {}
.s-item__since {}
.s-item__watchers {}
.s-item__from {}
.s-item__hitcount {}
.s-item__sold {}
.s-item__revenue {}
.s-item__categories {}






.s-item__shipping {
 color: #b63b3b;
 font-weight: bold;
}
.s-item__shipping::before {
	color:black;
	content: "Shipping: "; 
	font-size: 60%;
	}
}
.s-item__since{
color: #2e9893;
font-weight: bold;
}
.s-item__since::before { 
color:black;
content: "Since: "; 
font-size: 60%;
font-weight: bold;
}
.s-item__watchers{
	color:#9a9c38;
	font-weight: bold;
}
.s-item__watchers::before {
	color:black;
	content: "Watchers: "; 
	font-size: 60%;
}

.s-item__from{
	color:#b6b84e;
font-weight: bold;
}
.s-item__from::before  { 
color:black;
content: "from: "; 
font-size: 60%;
}

.s-item__hitcount {
color:#b63b3b;
font-weight: bold;
}
.s-item__hitcount::before  {
	color:black;
	content: "Hits: "; 
	font-size: 60%;
}

.s-item__sold{
color:#b63b3b;
font-weight: bold;
}
.s-item__sold::before { 
color:black;
content: "Sold: "; 
font-size: 60%;
}

.s-item__revenue{
	color: #904ad0;
	font-weight: bold;
}
.s-item__revenue::before  { 
color:black;
content: "Daily revenue: "; 
font-size: 60%;
}

*/


@media only screen and (min-width: 768px) {
	.srp-list .s-item__image-wrapper {
		position: static;
	}	
}



/* Set a style for all buttons */
button.categoryName {
text-align:left;
  background:none;
  color: blue;
  padding: 0px 5px;
  margin: 8px 0 0 0px;
  border: none;
  cursor: pointer;
  width: 100%;
}

span.categoryCount {
	color:black;
	font-size: 80%;
}


/* Set a style for all buttons */
button.childCategoryName {
text-align:left;
  background:none;
  color: blue;
  padding: 0px 5px;
  margin: 4px 0 0 15px;
  border: none;
  cursor: pointer;
  width: 100%;
}

span.childCategoryCount {
		color:black;
	font-size: 80%;
}

.categoriesTitle {
	font-size: 200%;
	font-weight: bold;
}

.searchdiv {
margin-top: 10px;
margin-left: 10px;
}


/* Style inputs with type="text", select elements and textareas */
input[type=text], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */ 
  border: 1px solid #ccc; /* Gray border */
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 8px; /* Bottom margin */
  resize: vertical /* Allow the user to vertically resize the textarea (not horizontally) */
}

form button {
	border-radius: 4px; /* Rounded borders */
}
